Saltar al contenido

List std document rows

Módulo Canon

GET/canon/std/document-librarycanonStdDocumentLibrary.list

A document and asset library entry. Standard Library row, copied into each new org as editable org data. Returns a cursor page of std document rows the caller may see. The default order is `record_id` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonStdDocumentLibrary.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de StdDocument

canonStdDocumentLibrary.list: StdDocument
CampoTipoObligatorioDescripción
record_idStdCodeSíNatural code of a Standard Library row (Section 2.1).Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
document_namestring | nullSíDocument name.Restricciones: length 1 to 500
document_typestring | nullSíDocument type.Restricciones: length 1 to 200
reference_idstring | nullSíReference identifier.Restricciones: length 1 to 200
file_formatstring | nullSíFile format.Restricciones: length 1 to 100
versionstring | nullSíVersion.Restricciones: length 1 to 100
issue_datestring (date) | nullSíIssue date.
expiration_datestring (date) | nullSíExpiration date.
departmentstring | nullSíDepartment as the sheet names it.Restricciones: length 1 to 200
categorystring | nullSíCategory code or name as the sheet gives it.Restricciones: length 1 to 200
sub_categorystring | nullSíSub-category as the sheet names it.Restricciones: length 1 to 200
statusstring | nullSíRow status in the sheet.Restricciones: length 1 to 200
notesstring | nullSíNotes in the sheet.Restricciones: length 1 to 20000
organizationstring | nullSíOrganization as the sheet names it.Restricciones: length 1 to 200
projectstring | nullSíProject as the sheet names it.Restricciones: length 1 to 200
file_sizestring | nullSíFile size as the sheet gives it.Restricciones: length 1 to 100
storage_urlstring | nullSíWhere the file is stored, as the sheet gives it.Restricciones: length 1 to 2000
{
  "data": [
    {
      "record_id": "SOP-001",
      "document_name": "Venue Load-In Guide",
      "document_type": "Guide",
      "reference_id": "DOC-004",
      "file_format": "PDF",
      "version": "v2.0",
      "issue_date": "2026-10-08",
      "expiration_date": "2026-10-08",
      "department": "5000 Production",
      "category": "5000.05.02",
      "sub_category": "Overhead Rigging",
      "status": "Active",
      "notes": "Primary life safety and incident response",
      "organization": "GHXSTSHIP",
      "project": "CSMIA26",
      "file_size": "48.5 MB",
      "storage_url": "https://files.example/doc-001.pdf"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/std/document-library" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.canonStdDocumentLibrary.listAll()) {
  console.log(row);
}
for row in xos.canon_std_document_library.list_all():
    print(row)
xos canon-std-document-library list --all